org.eclipse.net4j.util.event

## Class ValueNotifier<VALUE>

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.event.ValueNotifier<VALUE>

- All Implemented Interfaces:
    INotifier

      public class ValueNotifier<VALUE>
      extends Notifier

  A `notifier` with an `ID` and a single `value`.

  A value notifier can fire the following events:

  - `ValueEvent` after value changes.
  Since:
    3.1
  Author:
    Eike Stepper
  Apiviz
    `Object` oneway - - value
  Apiviz
    `ValueEvent` - - fires

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueNotifier()`
    `ValueNotifier(java.lang.String id)`
    `ValueNotifier(java.lang.String id, VALUE value)`
    `ValueNotifier(VALUE value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getID()`
    `VALUE` | `getValue()`
    `void` | `setValue(VALUE value)`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueNotifier

          public ValueNotifier()

    - #### ValueNotifier

          public ValueNotifier(VALUE value)

    - #### ValueNotifier

          public ValueNotifier(java.lang.String id)

    - #### ValueNotifier

          public ValueNotifier(java.lang.String id,
                               VALUE value)

  - ### Method Detail

    - #### getID

          public java.lang.String getID()

    - #### getValue

          public VALUE getValue()

    - #### setValue

          public void setValue(VALUE value)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html